package com.adealink.weparty.module.profile.viewmodel

import androidx.lifecycle.LiveData
import com.adealink.frame.base.Rlt
import com.adealink.frame.mvvm.livedata.ExtLiveData

interface IBlackViewModel {

    val isBlackLD: ExtLiveData<Map<String, Boolean>>

    fun isBlack(uid: String): LiveData<Rlt<Boolean>>

    fun isBlack(uids: List<String>): LiveData<Rlt<Map<String, Boolean>>>

    fun black(uid: String): LiveData<Rlt<Any>>

    fun unBlack(uid: String): LiveData<Rlt<Any>>
}